<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div class="content-ma">
 *
 * @package Home Construction Company
 */

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>">
  <meta name="viewport" content="width=device-width">
  <?php wp_head(); ?>
</head>

<body <?php body_class(); ?> class="main-bodybox">
	<?php if ( function_exists( 'wp_body_open' ) ) {
	    wp_body_open();
	} else {
	    do_action( 'wp_body_open' );
	}?>
	<?php if(get_theme_mod('home_construction_company_preloader_hide',false)!= '' || get_theme_mod('home_construction_company_responsive_preloader_hide',false) != ''){ ?>
    <?php if(get_theme_mod( 'home_construction_company_preloader_type','center-square') == 'center-square'){ ?>
	    <div class='preloader'>
		    <div class='preloader-squares'>
				<div class='square'></div>
				<div class='square'></div>
				<div class='square'></div>
				<div class='square'></div>
		    </div>
			</div>
    <?php }else if(get_theme_mod( 'home_construction_company_preloader_type') == 'chasing-square') {?>    
      <div class='preloader'>
				<div class='preloader-chasing-squares'>
					<div class='square'></div>
					<div class='square'></div>
					<div class='square'></div>
					<div class='square'></div>
				</div>
			</div>
    <?php }?>
	<?php }?>
	<header role="banner">
		<a class="screen-reader-text skip-link" href="#main"><?php esc_html_e( 'Skip to content', 'home-construction-company' ); ?><span class="screen-reader-text"><?php esc_html_e( 'Skip to content', 'home-construction-company' );?></span></a>
		<div id="header">
			<div class="row">
				<div class="col-lg-3 col-md-3  socialicons">
					<div class="social-media text-lg-start mx-3 text-center mt-3">
						<?php if( get_theme_mod( 'home_construction_company_facebook_url' ) != '' && get_theme_mod('home_construction_company_facebook_icon') != 'None') { ?>
						<a href="<?php echo esc_url( get_theme_mod( 'home_construction_company_facebook_url','' ) ); ?>"><i class='fab fa-facebook-f me-3'></i><span class="screen-reader-text"><?php esc_html_e( 'Facebook','home-construction-company' );?></span></a>
						<?php } ?>
						<?php if( get_theme_mod( 'home_construction_company_twitter_url' ) != '' && get_theme_mod('home_construction_company_twitter_icon') != 'None') { ?>
						<a href="<?php echo esc_url( get_theme_mod( 'home_construction_company_twitter_url','' ) ); ?>"><i class='fab fa-twitter me-3'></i><span class="screen-reader-text"><?php esc_html_e( 'Twitter','home-construction-company' );?></span></a>
						<?php } ?>
						<?php if( get_theme_mod( 'home_construction_company_instagram_url' ) != '' && get_theme_mod('home_construction_company_instagram_icon') != 'None') { ?>
						<a href="<?php echo esc_url( get_theme_mod( 'home_construction_company_instagram_url','' ) ); ?>"><i class='fab fa-instagram me-3'></i><span class="screen-reader-text"><?php esc_html_e( 'Instagram','home-construction-company' );?></span></a>
						<?php } ?>
						<?php if( get_theme_mod( 'home_construction_company_linkdin_url' ) != '' && get_theme_mod('home_construction_company_linkedin_icon') != 'None') { ?>
						<a href="<?php echo esc_url( get_theme_mod( 'home_construction_company_linkdin_url','' ) ); ?>"><i class='fab fa-linkedin-in me-3'></i><span class="screen-reader-text"><?php esc_html_e( 'Linkedin','home-construction-company' );?></span></a>
						<?php } ?>
						<?php if( get_theme_mod( 'home_construction_company_youtube_url' ) != '' && get_theme_mod('home_construction_company_youtube_icon') != 'None') { ?>
						<a href="<?php echo esc_url( get_theme_mod( 'home_construction_company_youtube_url','' ) ); ?>"><i class='fab fa-youtube me-3'></i><span class="screen-reader-text"><?php esc_html_e( 'Youtube','home-construction-company' );?></span></a>
						<?php } ?>
						<?php if( get_theme_mod( 'home_construction_company_pintrest_url' ) != '' && get_theme_mod('home_construction_company_facebook_icon') != 'None') { ?>
						<a href="<?php echo esc_url( get_theme_mod( 'home_construction_company_pintrest_url','' ) ); ?>"><i class='fab fa-pinterest-p me-3'></i><span class="screen-reader-text"><?php esc_html_e( 'Pintrest','home-construction-company' );?></span></a>
						<?php } ?>
					</div>
        </div>
        <div class="col-lg-9 col-md-9 top-header text-center text-lg-start text-md-start">
          <div class="row m-0">
            <div class="col-lg-3 col-md-3">
              <?php if( get_theme_mod( 'home_construction_company_location','' ) != '') { ?>
                <div class="row">
                  <div class="col-lg-2 col-md-3 col-4 text-lg-center text-md-center text-end">
                    <i class='fas fa-map-marker-alt'></i>
                  </div>
                  <div class="col-lg-10 col-md-9 col-8 text-start mb-lg-0 mb-md-0 mb-4">
                    <p class="diff-lay mb-0"><?php echo esc_html( get_theme_mod('home_construction_company_location','') ); ?></p>
                    <p class="same-lay mb-0"><?php echo esc_html( get_theme_mod('home_construction_company_location1','') ); ?></p>
                  </div>
                </div>
              <?php }?>
            </div>
            <div class="col-lg-3 col-md-3 call-header text-center text-lg-start text-md-start">
              <?php if( get_theme_mod( 'home_construction_company_call','' ) != '' || get_theme_mod( 'home_construction_company_call1','' ) != '') { ?>
                <div class="row">
                  <div class="col-lg-2 col-md-3 col-4 text-lg-center text-md-center text-end">
                    <i class='fas fa-tty'></i>
                  </div>
                  <div class="col-lg-10 col-md-9 col-8 text-start mb-lg-0 mb-md-0 mb-4">
                    <p class="diff-lay mb-0"><?php echo esc_html( get_theme_mod('home_construction_company_call','') ); ?></p>
                    <p class="same-lay mb-0"><a href="tel:<?php echo esc_attr( get_theme_mod('home_construction_company_call1','') ); ?>"><?php echo esc_html(get_theme_mod('home_construction_company_call1',''));?></a></p>
                  </div>
                </div>
              <?php }?>
            </div>
            <div class="col-lg-3 col-md-3 mail-header text-center text-lg-start text-md-start">
              <?php if( get_theme_mod( 'home_construction_company_mail','' ) != '') { ?>
                <div class="row">
                  <div class="col-lg-2 col-md-3 col-4 text-lg-center text-md-center text-end">
                    <i class='far fa-envelope-open'></i>
                  </div>
                  <div class="col-lg-10 col-md-9 col-8 text-start mb-lg-0 mb-md-0 mb-4">
                    <p class="diff-lay mb-0"><?php echo esc_html( get_theme_mod('home_construction_company_mail','') ); ?></p>
                    <p class="same-lay mb-0"><a href="mailto:<?php echo esc_attr(get_theme_mod('home_construction_company_mail1',''));?>"><?php echo esc_html(get_theme_mod('home_construction_company_mail1',''));?></a></p>
                  </div>
                </div>
              <?php }?>        
            </div>
            <div class="col-lg-3 col-md-3 time-header text-center text-lg-start text-md-start">
              <?php if( get_theme_mod( 'home_construction_company_time','' ) != '') { ?>
                <div class="row">
                  <div class="col-lg-2 col-md-3 col-4 text-lg-center text-md-center text-end">
                    <i class='far fa-clock'></i>
                  </div>
                  <div class="col-lg-10 col-md-9 col-8 text-start mb-lg-0 mb-md-0 mb-4">
                    <p class="diff-lay mb-0"><?php echo esc_html( get_theme_mod('home_construction_company_time','') ); ?></p>
                    <p class="same-lay mb-0"><?php echo esc_html( get_theme_mod('home_construction_company_time1','') ); ?></p>
                  </div>
                </div>
              <?php }?>
            </div>
          </div>
        </div>
        <div class="clearfix"></div>
			</div>
		<div class="row m-0">
      <div class=" col-lg-3 col-md-3 align-self-center text-center">
      	<div class="logo">
	     	 	<?php if ( has_custom_logo() ) : ?>
     	    	<div class="site-logo"><?php the_custom_logo(); ?></div>
          <?php endif; ?>
          <?php if( get_theme_mod( 'home_construction_company_site_title',true) != '') { ?>
            <?php $blog_info = get_bloginfo( 'name' ); ?>
            <?php if ( ! empty( $blog_info ) ) : ?>
	            <?php if ( is_front_page() && is_home() ) : ?>
	              <h1 class="site-title mt-0 p-0"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
	            <?php else : ?>
	              <p class="site-title mt-0 p-0"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
	            <?php endif; ?>
            <?php endif; ?>
	        <?php }?>
	        <?php if( get_theme_mod( 'home_construction_company_site_tagline',true) != '') { ?>
            <?php
            $description = get_bloginfo( 'description', 'display' );
            if ( $description || is_customize_preview() ) :
            ?>
	            <p class="site-description">
	              <?php echo esc_html($description); ?>
	            </p>
            <?php endif; ?>
	        <?php }?>
		    </div>
    	</div>
	    <div class="col-lg-9 col-md-9 menu-searh align-self-center">
	    	<div class="row m-0">
	    		<div class="col-lg-9 col-md-7 col-3 align-self-center">
							<div class="menubox <?php if( get_theme_mod( 'home_construction_company_sticky_header') != '') { ?> sticky-header<?php } else { ?>close-sticky <?php } ?>">
								<?php if(has_nav_menu('primary')){ ?>
							   	<div class="toggle-menu responsive-menu text-end">
				           	<button role="tab" onclick="home_construction_company_menu_open()"><i class="<?php echo esc_attr(get_theme_mod('home_construction_company_responsive_open_menu_icon','fas fa-bars'));?>"></i><span class="screen-reader-text"><?php esc_html_e('Open Menu','home-construction-company'); ?></span></button>
				         	</div>
				         	<div id="menu-sidebar" class="nav side-menu">
				            <nav id="primary-site-navigation" class="primary-navigation" role="navigation" aria-label="<?php esc_attr_e( 'Top Menu', 'home-construction-company' ); ?>">
				              <?php 
				                wp_nav_menu( array( 
				                  'theme_location' => 'primary',
				                  'container_class' => 'main-menu-navigation clearfix' ,
				                  'menu_class' => 'clearfix',
				                  'items_wrap' => '<ul id="%1$s" class="%2$s mobile_nav m-0 p-0">%3$s</ul>',
				                  'fallback_cb' => 'wp_page_menu',
				                ) ); 
				              ?>
				              <a href="javascript:void(0)" class="closebtn responsive-menu" onclick="home_construction_company_menu_close()"><i class="<?php echo esc_attr(get_theme_mod('home_construction_company_responsive_close_menu_icon','fas fa-times'));?>"></i><span class="screen-reader-text"><?php esc_html_e('Close Menu','home-construction-company'); ?></span></a>
				            </nav>
				        	</div>
				      	<?php }?>
				      </div>
			    </div>
			    <div class="search-box col-lg-3 col-md-5 col-9 align-self-center text-end">
			    	<div class="search-box d-inline-block">
        			<button type="button" onclick="home_construction_company_search_show()"><i class="fas fa-search"></i></button>
	        	</div>
		        <div class="search-outer">
		          <div class="serach_inner">
		          	<?php get_search_form(); ?>
		          </div>
		        	<button type="button" class="closepop" onclick="home_construction_company_search_hide()">X</button>
		        </div>
			    </div>
		   	</div>
  		</div>
  </div>
</div>
</header>